---
description: Docker extension API reference
keywords: Docker, extensions, sdk, API, reference
skip_read_time: true
---

# Interface: ServiceError

Error thrown when an HTTP response is received with a status code that falls
out to the range of 2xx.

**`Since`**

0.2.0

## Properties

### name

• **name**: `string`

___

### message

• **message**: `string`

___

### statusCode

• **statusCode**: `number`
